cmake_minimum_required(VERSION 3.12)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

project(essim
  LANGUAGES CXX
  VERSION 0.1
  DESCRIPTION "System digital twin."
)

set(DIR_LIBS ${CMAKE_SOURCE_DIR}/libs)
file(GLOB_RECURSE ALL_SOURCES "src/*.cpp")

file(GLOB_RECURSE LIB_FTXUI "lib/ftxui/*.a")


add_executable(
    essim
    ${ALL_SOURCES}
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)

target_link_libraries(
    essim PRIVATE ${LIB_FTXUI}
)